/*
 * Copyright (c) 2001-2002 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the LAM/MPI software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * LAM/MPI source distribution.
 *
 * $Id: lamtest_error.h,v 1.2.2.1 2002/10/14 18:46:23 brbarret Exp $
 *
 * Simple routines to print and store errors for the LAM test suite
 */

#ifndef _lamtest_error_h_
#define _lamtest_error_h_

/*
 * Function prototypes
 */

int lamtest_error(const char *file, int line, char *format, ...);
void nonmpi_error(const char *desc, char *format, ...);
void lamtest_fatal_error(const char *file, int line, char *format, ...);

#endif
